GET /fields
Operation ID: listFields
Auth: unknown
Description
Get a list of fields (second-level topic categories). There are 26 fields spread across 4 domains.
Parameters (10)
(string, query, required)
Your OpenAlex API key (required). Get a free key at https://openalex.org/settings/api
(string, query, optional)
Cursor for deep pagination. Use `cursor=*` to start, then use the `next_cursor` from the response.
(string, query, optional)
Filter fields. Examples: `domain.id:1`, `works_count:>1000000` See [all Field fields](/api-reference/fields#available-filter-sort-and-group_by-fields).
(string, query, optional)
Group by: `domain.id` See [all Field fields](/api-reference/fields#available-filter-sort-and-group_by-fields).
(integer, query, optional)
Page number for pagination. Use cursor for deep pagination beyond 10,000 results.
Constraints: {'minimum': 1}
(integer, query, optional, default: 25)
Number of results per page (1-100, default 25)
Constraints: {'minimum': 1, 'maximum': 100}
(integer, query, optional)
Return a random sample of N results (max 10,000). Cannot be used with sort or page.
Constraints: {'maximum': 10000}
(string, query, optional)
Full-text search across titles, abstracts, and other text fields. Example: `search=machine learning`
(string, query, optional)
Comma-separated list of fields to return. Reduces response size. Example: `select=id,display_name,cited_by_count`
(string, query, optional)
Sort by: `works_count`, `cited_by_count`. Prefix with `-` for descending. See [all Field fields](/api-reference/fields#available-filter-sort-and-group_by-fields).
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| List all fields with pagination | curl |
https://api.openalex.org/fields?per_page=10&page=1 |
|
| Filter fields by domain ID | curl |
https://api.openalex.org/fields?filter=domain.id:1 |
|
| Search fields with selected fields returned | curl |
https://api.openalex.org/fields?search=computer+science&select=id,display_name,works_count |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:50:41.716291 | 200 | 246ms | |
| 2026-03-23 10:49:40.725075 | 200 | 417ms | |
| 2026-03-22 21:18:32.351917 | 200 | 283ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:49:40.725075 | 55a6ddd64994 |
85ee70419cd3 |
| 2026-03-23 10:50:41.716291 | 85ee70419cd3 |
fa85e33c2c12 |